
AddCSLuaFile( "cl_init.lua" )
AddCSLuaFile( "shared.lua" )

include('shared.lua')
ENT.WireDebugName = "Fading Door"
ENT.OverlayDelay = 0.1

function ENT:Initialize()
	self:PhysicsInit( SOLID_VPHYSICS )
	self:SetMoveType( MOVETYPE_VPHYSICS )
	self:SetSolid( SOLID_VPHYSICS )
	self.Inputs = Wire_CreateInputs(self,{"Activate"})
	self.FadingDoorMaterial = self:GetMaterial()
end

function ENT:TriggerInput(iname,value) 
	if (iname == "Activate") then
		if (value != 0) then
			self:SetMaterial("sprites/heatwave")
			self:DrawShadow(false)
			self:SetNotSolid(true)
			self:SetCollisionGroup(COLLISION_GROUP_DEBRIS)
		else
			self:SetMaterial(self.FadingDoorMaterial)
			self:DrawShadow(true)
			self:SetNotSolid(false)
			self:SetCollisionGroup(COLLISION_GROUP_NONE)
		end
	end
    return true
end

function ENT:Think()	
end
